#include <bits/stdc++.h>
#define endl '\n'
using namespace std;

const int MAXN = 1e6;
const long long mod = 998244353;
int dp[MAXN];

//int rec()

int main ()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, m, k;
    cin >> n >> m >> k;

    if (k == 1)
    {
        long long ans = 1;
        for (int i = 0; i < n; i++)
            ans = (ans * m) % mod;
        cout << ans << endl;
        return 0;
    }

    long long ans = 1;
    for (int i = 0; i < n; i++)
        ans = (ans * m) % mod;

    if (ans < m) cout << ans + mod - m << endl;
    else cout << ans - m << endl;


    return 0;
}
/***

3 2 2
6

*/

